[Launch]
ProgramExecutable=StreamWriter32\streamwriter.exe
ProgramExecutable64=StreamWriter64\streamwriter.exe
WorkingDirectory=%FullAppDir%
DirectoryMoveOK=yes
SupportsUNC=yes

[FilesMove]
streamwriter_settings.ini=%FullAppDir%
streamwriter_data.dat=%FullAppDir%

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\streamwriter_settings.ini
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir%\
Replace=%PAL:Drive%%PAL:PackagePartialDir%\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\streamwriter_settings.ini
Find=%PAL:LastDrive%%PAL:LastPortableAppsBaseDir%\
Replace=%PAL:Drive%%PAL:PortableAppsBaseDir%\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\streamwriter_settings.ini
Find=%PAL:LastDrive%\
Replace=%PAL:Drive%\

[FileWrite4]
Type=Replace
File=%PAL:DataDir%\streamwriter_settings.ini
Find=@PLACEHOLDER_PortableApps.comMusic@
Replace=%PortableApps.comMusic%
